/* This file is part of toroidtoe, a web server implementing a game of
 * five-in-a-row on a grid warped onto a surface of a torus.  This
 * program is intended as a basis for student exercises on courses at
 * Helsinki University of Technology.  This source code is distributed
 * under the GPL.
 *
 * Author: Kenneth Oksanen <cessu@iki.fi>
 */


#ifndef INCL_SESSION
#define INCL_SESSION  1


/* The initialization function below is passed the directory name
   (without the trailing slash) which contains the GIF files. */

void session_init(const char *graphics_dirname);


/* The callback function called from networking code. */

int session_cb(int fd, int n_bytes, char *bytes);


#endif
